<template>
  <view>
    <uv-popup ref="popup" mode="center" bgColor="none" >
      <view class="flex flex-column popup__view">
        <view class="header">添加客服微信</view>
        <view class="content">
          <!-- todo -->
          <image class="qrcode" src="" mode="widthFix"></image>
        </view>
      </view>
		</uv-popup>
  </view>
</template>

<script>
import { mapState } from 'vuex'

export default {
  data() {
    return {
    }
  },
  computed : {
    ...mapState(['configList'])
  },
  methods: {
    open() {
      this.$refs.popup.open()
    },
    close() {
      this.$refs.popup.close()
    },
  },
}
</script>

<style lang="scss" scoped>

.popup__view {
  width: 550rpx;
  padding: 32rpx 0;
  box-sizing: border-box;
  background: #F3F2F7;
  border: 2rpx solid #FFFFFF;
  border-radius: 64rpx;
}

.header {
  margin-bottom: 40rpx;
  text-align: center;
  font-family: PingFang SC;
  font-weight: 500;
  font-size: 40rpx;
  line-height: 1.4;
  color: #181818;
}

.content {
  width: 486rpx;
  height: auto;

  .qrcode {
    width: 100%;
    height: auto;
  }
}

</style>